summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--TODO17
-rw-r--r--configure.ac20
-rw-r--r--po/de.po184
-rw-r--r--po/fr.po206
-rw-r--r--po/quilt.pot161
-rw-r--r--quilt.changes7
-rw-r--r--quilt.spec.in1
-rw-r--r--quilt/add.in30
-rw-r--r--quilt/applied.in6
-rw-r--r--quilt/delete.in9
-rw-r--r--quilt/diff.in41
-rw-r--r--quilt/files.in10
-rw-r--r--quilt/fold.in2
-rw-r--r--quilt/fork.in33
-rw-r--r--quilt/import.in23
-rw-r--r--quilt/new.in5
-rw-r--r--quilt/next.in13
-rw-r--r--quilt/pop.in6
-rw-r--r--quilt/previous.in6
-rw-r--r--quilt/push.in8
-rw-r--r--quilt/refresh.in55
-rw-r--r--quilt/remove.in30
-rw-r--r--quilt/unapplied.in6
-rwxr-xr-xscripts/apatch.in4
-rw-r--r--scripts/patchfns.in62
-rwxr-xr-xscripts/rpatch.in2
-rw-r--r--test/comments.test6
-rw-r--r--test/conflicts.test32
-rw-r--r--test/failpop.test8
-rw-r--r--test/fold.test8
-rw-r--r--test/merge.test12
-rw-r--r--test/one.test58
-rw-r--r--test/reorder.test10
-rw-r--r--test/snapshot.test2
-rw-r--r--test/snapshot2.test2
-rw-r--r--test/subdir.test16
-rw-r--r--test/two.test60
37 files changed, 638 insertions, 523 deletions
diff --git a/TODO b/TODO
index 6dd4a9e..a801b82 100644
--- a/TODO
+++ b/TODO
@@ -12,17 +12,13 @@ General:
- Allow to add a directory? Then we could detect also new files
in the directory, without having to add them individually.
- - Instead of passing around and storing in applied-patches the
- short patch name (=patch file name with .dif .diff .patch .gz
- .bz2 stripped), translate from short names to real file names
- an the user interface, and work with full names internally.
- This will simplify regexp matching in several functions.
-
- Support different diff/patch options for different patches.
(By specifying them in the series file?)
Documentation:
+ - Document recently added settings in .quiltrc
+
- How to import a new version of a patch?
- How to import a complete directory, before doing
@@ -32,7 +28,7 @@ quilt refresh:
- Add an -m option similar to `cvs commit -m "..."' to simplify
keeping a change log in the patch documentation?
-
+
quilt import:
- Add option to replace the currently applied patch with a new
@@ -61,6 +57,11 @@ apatch:
quilt diff:
- - The number of contetx lines cannot be overridden in QUILT_DIFF_OPTS:
+ - The number of context lines cannot be overridden in QUILT_DIFF_OPTS:
GNU diff uses three context lines as soon as -u or -U3 is on the
command line, no matter which order of arguments are specified.
+
+quit edit:
+
+ - Check for actual changes, and remove files again that haven't been
+ changed.
diff --git a/configure.ac b/configure.ac
index d376a8f..83e78cc 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2,7 +2,7 @@ dnl Process this file with autoconf to produce a configure script.
AC_INIT([quilt],[0.30],[quilt-dev@nongnu.org])
AC_CONFIG_AUX_DIR(config)
AC_PREREQ(2.53)
-AC_REVISION ($Revision: 1.22 $)
+AC_REVISION ($Revision: 1.23 $)
PACKAGE_RELEASE=1
AC_SUBST(PACKAGE_RELEASE)
@@ -181,24 +181,6 @@ else
AC_MSG_RESULT(yes)
fi
-dnl Check for diffstat
-AC_ARG_WITH(diffstat, AC_HELP_STRING(
- [--with-diffstat], [name of the diffstat executable to use]),
- [
- DIFFSTAT="$withval"
- AC_SUBST(DIFFSTAT)
- AC_MSG_NOTICE([Using diffstat executable $DIFFSTAT])
- ],[
- AC_PATH_PROG(DIFFSTAT, diffstat)
- ])
-if test -z "$DIFFSTAT"; then
- AC_MSG_WARN([
-diffstat does not appear to be in your path, this is not a fatal error however
-$PACKAGE_NAME has increased functionality if diffstat exists. If you have diffstat
-you can specify the location the option '--with-diffstat'.
-])
-fi
-
dnl Check for NLS
AC_ARG_ENABLE(nls, AC_HELP_STRING(
[--enable-nls], [include natural language support]))
diff --git a/po/de.po b/po/de.po
index bff322a..2973dff 100644
--- a/po/de.po
+++ b/po/de.po
@@ -44,30 +44,42 @@ msgstr ""
"-p patch\n"
"\tDer Patch, zu dem die Dateien hinzugefügt werden sollen."
-#: ../quilt/add.in:75 ../quilt/delete.in:69 ../quilt/files.in:74
-#: ../quilt/fold.in:79 ../quilt/push.in:176 ../quilt/remove.in:75
-msgid "No patch applied"
-msgstr "Kein Patch angewandt"
+#: ../quilt/add.in:56 ../quilt/diff.in:118 ../quilt/diff.in:127
+#: ../quilt/remove.in:56
+#, fuzzy
+msgid "Patch $2 is not in series"
+msgstr "Patch ist nicht angewandt"
-#: ../quilt/add.in:80 ../quilt/applied.in:71 ../quilt/refresh.in:113
-#: ../quilt/remove.in:80
+#: ../quilt/add.in:77 ../quilt/applied.in:76 ../quilt/refresh.in:109
+#: ../quilt/remove.in:77
msgid "Patch $patch is not applied"
msgstr "Patch $patch ist nicht angewandt"
-#: ../quilt/add.in:89
-msgid "File $file is already in patch $patch"
+#: ../quilt/add.in:84 ../quilt/delete.in:68 ../quilt/diff.in:172
+#: ../quilt/files.in:79 ../quilt/fold.in:79 ../quilt/pop.in:184
+#: ../quilt/push.in:181 ../quilt/push.in:215 ../quilt/refresh.in:116
+#: ../quilt/remove.in:84
+msgid "No patches applied"
+msgstr "Keine Patches angewandt"
+
+#: ../quilt/add.in:94
+#, fuzzy
+msgid "File $SUBDIR$file is already in patch $patch"
msgstr "Datei $file ist bereits in Patch $patch enthalten"
-#: ../quilt/add.in:96 ../quilt/remove.in:97
-msgid "File $file modified by patch $next_patch"
+#: ../quilt/add.in:101 ../quilt/remove.in:102
+#, fuzzy
+msgid "File $SUBDIR$file modified by patch $next_patch"
msgstr "Datei $file wird von Patch $next_patch verändert"
-#: ../quilt/add.in:103
-msgid "Failed to back up file $file"
+#: ../quilt/add.in:108
+#, fuzzy
+msgid "Failed to back up file $SUBDIR$file"
msgstr "Konnte Datei $file nicht sichern"
-#: ../quilt/add.in:123
-msgid "File $file added to patch $patch"
+#: ../quilt/add.in:128
+#, fuzzy
+msgid "File $SUBDIR$file added to patch $patch"
msgstr "Datei $file zu Patch $patch hinzugefügt"
#: ../quilt/applied.in:22
@@ -91,6 +103,13 @@ msgstr ""
"\n"
"-n\tPatch-Dateinamen statt Patch-Namen ausgeben.\n"
+#: ../quilt/applied.in:71 ../quilt/files.in:72 ../quilt/next.in:70
+#: ../quilt/pop.in:130 ../quilt/previous.in:70 ../quilt/push.in:145
+#: ../quilt/unapplied.in:70
+#, fuzzy
+msgid "Patch $1 is not in series"
+msgstr "Patch ist nicht angewandt"
+
#: ../quilt/delete.in:22
msgid "Usage: quilt delete [patch]"
msgstr "Verwendung: quilt delete [patch]"
@@ -110,7 +129,8 @@ msgstr ""
"nur der oberste Patch entfernt werden.)"
#: ../quilt/delete.in:75
-msgid "Patch $patch does not exist"
+#, fuzzy
+msgid "Patch $patch is not in series"
msgstr "Patch $patch existiert nicht"
#: ../quilt/delete.in:84
@@ -122,11 +142,15 @@ msgid "Failed to remove patch $patch"
msgstr "Konnte Patch $patch nicht entfernen"
#: ../quilt/diff.in:27
-msgid "Usage: quilt diff [-p n] [-c patch|-z] [-R] [-P patch] [file ...]"
+#, fuzzy
+msgid ""
+"Usage: quilt diff [-p n] [-c patch|-z] [-R] [-P patch] [--diff=utility] "
+"[file ...]"
msgstr ""
"Verwendung: quilt diff [-p n] [-c patch|-z] [-R] [-P patch] [datei ...]"
#: ../quilt/diff.in:31
+#, fuzzy
msgid ""
"\n"
"\n"
@@ -150,6 +174,10 @@ msgid ""
"-z\tWrite to standard output the changes that have been made\n"
"\trelative to the topmost or specified patch.\n"
"\n"
+"--diff=utility\n"
+"\tUse the specified utility for generating the diff. The utility\n"
+"\tis invoked with the original and new file name as arguments.\n"
+"\n"
msgstr ""
"\n"
"\n"
@@ -172,60 +200,57 @@ msgstr ""
"-z\tÄnderungen relativ zum angewandten Patch ausgeben.\n"
"\n"
-#: ../quilt/diff.in:140
+#: ../quilt/diff.in:157
msgid "Options \\`-c patch', \\`--snapshot', and \\`-z' cannot be combined."
msgstr ""
"Die Optionen \\`-c patch', \\`--snapshot', und \\`-z' können nicht "
"kombiniert werden."
-#: ../quilt/diff.in:149 ../quilt/refresh.in:106
-msgid "No patch seem to be applied"
-msgstr "Es ist kein Patch angewandt"
-
-#: ../quilt/diff.in:156
+#: ../quilt/diff.in:165
msgid "Patch $last_patch is not applied"
msgstr "Patch $last_patch ist nicht angewandt"
-#: ../quilt/diff.in:166
+#: ../quilt/diff.in:183
msgid ""
"Cannot diff patches with -p$opt_strip_level, please specify -p0 or -p1 "
"instead"
msgstr ""
"Kann kein Diff mit -p$opt_strip_level erzeugen, bitte -p0 oder -p1 verwenden."
-#: ../quilt/diff.in:200
+#: ../quilt/diff.in:217
msgid "Patch $first_patch not applied before $last_patch."
msgstr "Patch $first_patch ist nicht vor Patch $last_patch angewandt."
-#: ../quilt/diff.in:234
-msgid "Cannot change into .pc/$last_patch"
+#: ../quilt/diff.in:251
+#, fuzzy
+msgid "Cannot change into $QUILT_PC/$last_patch"
msgstr "Kann nicht in Verzeichnis .pc/$last_patch wechseln."
-#: ../quilt/diff.in:239 ../scripts/rpatch.in:61
+#: ../quilt/diff.in:257 ../scripts/rpatch.in:62
msgid "Failed to copy files to temporary directory"
msgstr "Konnte Dateien nicht in ein temporäres Verzeichnis kopieren"
-#: ../quilt/diff.in:250
+#: ../quilt/diff.in:268
msgid "Cannot change to temporary directory"
msgstr "Kann nicht in temporäres Verzeichnis wechseln"
-#: ../quilt/diff.in:270 ../scripts/rpatch.in:89
+#: ../quilt/diff.in:289 ../scripts/rpatch.in:90
msgid "Failed to patch temporary files"
msgstr "Konnte temporäre Dateien nicht patchen"
-#: ../quilt/diff.in:277
+#: ../quilt/diff.in:296
msgid "Cannot change to source directory"
msgstr "Kann nicht in Quellverzeichnis wechseln"
-#: ../quilt/diff.in:295
+#: ../quilt/diff.in:314
msgid "File $file is not being modified."
msgstr "Datei $file wird nicht verändert."
-#: ../quilt/diff.in:314 ../quilt/refresh.in:144
+#: ../quilt/diff.in:333 ../quilt/refresh.in:148
msgid "Diff failed, aborting."
msgstr "Diff fehlgeschlagen, Abbruch."
-#: ../quilt/diff.in:321
+#: ../quilt/diff.in:340
msgid "More recent patches modify files in $last_patch."
msgstr "Später angewandte Patches verändern Dateien von $last_patch."
@@ -262,11 +287,11 @@ msgstr ""
"-v\tAusführlichere, benutzerfreundliche Ausgabe.\n"
"\n"
-#: ../quilt/files.in:83
+#: ../quilt/files.in:88
msgid "Patch is not applied (no verbose output)"
msgstr "Patch ist nicht angewandt (keine ausführliche Ausgabe)"
-#: ../quilt/files.in:86
+#: ../quilt/files.in:91
msgid "Patch is not applied"
msgstr "Patch ist nicht angewandt"
@@ -298,8 +323,9 @@ msgstr ""
"\tDie Anzahl der Komponenten im Pfadnamen, die beim Anwenden des Patches\n"
"\tentfernt werden sollen."
-#: ../quilt/fold.in:110
-msgid "File ${file:${#workdir}+1} may be corrupted"
+#: ../quilt/fold.in:115
+#, fuzzy
+msgid "File $file may be corrupted"
msgstr "Datei ${file:${#workdir}+1} ist möglicherweise defekt"
#: ../quilt/fork.in:22
@@ -325,16 +351,16 @@ msgstr ""
msgid "All patches applied"
msgstr "Alle Patches angewandt"
-#: ../quilt/fork.in:93
+#: ../quilt/fork.in:90
msgid "Patch $patch exists already, please choose a new name"
msgstr "Patch $patch existiert bereits, bitte neuen Namen wählen"
-#: ../quilt/fork.in:100
-msgid "Fork of $next_file_name to $patch_file failed"
+#: ../quilt/fork.in:97
+msgid "Fork of $next_patch to $patch failed"
msgstr ""
-#: ../quilt/fork.in:104
-msgid "Fork of $next_file_name created as $(patch_file_name $patch)"
+#: ../quilt/fork.in:101
+msgid "Fork of $next_patch created as $patch"
msgstr ""
#: ../quilt/import.in:22
@@ -449,15 +475,15 @@ msgstr ""
"ihn nach dem obersten Patch in die series-Datei ein.\n"
"\n"
-#: ../quilt/new.in:67
+#: ../quilt/new.in:66
msgid "Patch $patch exists already"
msgstr "Patch $patch existiert bereits"
-#: ../quilt/new.in:77
+#: ../quilt/new.in:76
msgid "Failed to create patch $patch"
msgstr "Konnte Patch $patch nicht erzeugen"
-#: ../quilt/new.in:80
+#: ../quilt/new.in:79
msgid "Patch $patch is now on top"
msgstr "Der oberste Patch ist jetzt $patch"
@@ -558,23 +584,19 @@ msgstr ""
"-v\tViele Meldungen ausgeben.\n"
"\n"
-#: ../quilt/pop.in:146
+#: ../quilt/pop.in:151
msgid "Patch $stop_at_patch is not applied."
msgstr "Patch $stop_at_patch ist nicht angewandt."
-#: ../quilt/pop.in:156
+#: ../quilt/pop.in:161
msgid "No patch removed"
msgstr "Kein Patch entfernt"
-#: ../quilt/pop.in:170 ../quilt/push.in:201
+#: ../quilt/pop.in:175 ../quilt/push.in:206
msgid "Interrupted by user"
msgstr "Unterbrechung durch Benutzer"
-#: ../quilt/pop.in:179 ../quilt/push.in:210
-msgid "No patches applied"
-msgstr "Keine Patches angewandt"
-
-#: ../quilt/pop.in:181 ../quilt/push.in:212
+#: ../quilt/pop.in:186 ../quilt/push.in:217
msgid "Now at patch $patch"
msgstr "Jetzt in Patch $patch"
@@ -660,18 +682,18 @@ msgstr ""
msgid "Patch $stop_at_patch not found in file series"
msgstr "Patch $stop_at_patch in series-Datei nicht gefunden"
-#: ../quilt/push.in:163
+#: ../quilt/push.in:168
msgid "Patch $stop_at_patch is already applied."
msgstr "Patch $stop_at_patch ist bereits angewandt."
-#: ../quilt/push.in:180
+#: ../quilt/push.in:185
msgid ""
"The topmost patch $top is not in the series file anymore;\n"
"cannot determine the next patch from the series file.\n"
"Please pop -f the top patch and check your series file."
msgstr ""
-#: ../quilt/push.in:186
+#: ../quilt/push.in:191
msgid "File series fully applied, ends at patch $top"
msgstr "series-Datei vollständig angewandt, endet in Patch $top"
@@ -722,7 +744,12 @@ msgstr ""
"\teinige der selben Dateien verändern.\n"
"\n"
-#: ../quilt/refresh.in:123
+#: ../quilt/refresh.in:104
+#, fuzzy
+msgid "Patch $opt_patch is not in series"
+msgstr "Patch $stop_at_patch in series-Datei nicht gefunden"
+
+#: ../quilt/refresh.in:127
msgid ""
"Cannot refresh patches with -p$opt_strip_level, please specify -p0 or -p1 "
"instead"
@@ -730,17 +757,17 @@ msgstr ""
"Kann Patches mit Level -p$opt_strip_level nicht auffrischen, bitte -p0 oder -"
"p1 angeben"
-#: ../quilt/refresh.in:150
+#: ../quilt/refresh.in:154
msgid "More recent patches modify files in $patch. Enforce refresh with -f."
msgstr ""
"Später angewandte Patches verändern Dateien von $patch. Auffrischen mit -f "
"erzwingen."
-#: ../quilt/refresh.in:157
+#: ../quilt/refresh.in:161
msgid "Nothing in patch $patch"
msgstr "Patch $patch is leer"
-#: ../quilt/refresh.in:199
+#: ../quilt/refresh.in:192
msgid "Refreshed patch $patch"
msgstr "Patch $patch aufgefrischt."
@@ -769,16 +796,19 @@ msgstr ""
"\tPatch, aus dem Dateien entfernt werden sollen.\n"
"\n"
-#: ../quilt/remove.in:89
-msgid "File $file is not in patch $patch"
+#: ../quilt/remove.in:94
+#, fuzzy
+msgid "File $SUBDIR$file is not in patch $patch"
msgstr "Datei $file ist nicht in Patch $patch enthalten."
-#: ../quilt/remove.in:105
-msgid "Failed to remove file $file from patch $patch"
+#: ../quilt/remove.in:110
+#, fuzzy
+msgid "Failed to remove file $SUBDIR$file from patch $patch"
msgstr "Konnte Datei $file nicht aus Patch $patch entfernen."
-#: ../quilt/remove.in:110
-msgid "File $file removed from patch $patch"
+#: ../quilt/remove.in:115
+#, fuzzy
+msgid "File $SUBDIR$file removed from patch $patch"
msgstr "Datei $file aus Patch $patch entfernt."
#: ../quilt/series.in:22
@@ -932,23 +962,23 @@ msgstr "Unterbrechung durch Benutzer; Patch $patch wurde nicht angewandt."
msgid "Patch file $patch_file appears to be empty"
msgstr "Patch-Datei $patch_file scheint leer zu sein"
-#: ../scripts/apatch.in:79
+#: ../scripts/apatch.in:83
msgid "Applying $patch"
msgstr "Anwenden von $patch"
-#: ../scripts/apatch.in:114
+#: ../scripts/apatch.in:119
msgid "Patch $patch appears to be empty, applied"
msgstr "Patch $patch scheint leer zu sein, angewandt"
-#: ../scripts/apatch.in:117
+#: ../scripts/apatch.in:122
msgid "Applied $patch (forced; needs refresh)"
msgstr "Patch $patch angewandt (erzwungen, muß aufgefrischt werden (Refresh))"
-#: ../scripts/apatch.in:121
+#: ../scripts/apatch.in:126
msgid "Patch $patch does not apply (enforce with -f)"
msgstr "Patch $patch läßt sich nicht anwenden (erzwingen mit -f)"
-#: ../scripts/apatch.in:178 ../scripts/rpatch.in:192
+#: ../scripts/apatch.in:183 ../scripts/rpatch.in:193
msgid "The topmost patch $top needs to be refreshed first."
msgstr "Der oberste Patch $top muss zuerst aufgefrischt werden (Refresh)."
@@ -956,18 +986,24 @@ msgstr "Der oberste Patch $top muss zuerst aufgefrischt werden (Refresh)."
msgid "Usage: $0 [-fRq] patchname"
msgstr "Verwendung: $0 [-fRq] patchname"
-#: ../scripts/rpatch.in:104
+#: ../scripts/rpatch.in:105
msgid "Patch $patch does not remove cleanly (enforce with -f)."
msgstr "Patch $patch kann nicht entfernt werden (erzwingen mit -f)."
-#: ../scripts/rpatch.in:121
+#: ../scripts/rpatch.in:122
msgid "Patch $patch appears to be empty, removed"
msgstr "Patch $patch scheint leer zu sein, entfernt"
-#: ../scripts/rpatch.in:135
+#: ../scripts/rpatch.in:136
msgid "Removing $patch"
msgstr "Entferne $patch"
#: ../scripts/spec2series.in:100 ../scripts/spec2series.in:192
msgid " done"
msgstr " fertig"
+
+#~ msgid "No patch applied"
+#~ msgstr "Kein Patch angewandt"
+
+#~ msgid "No patch seem to be applied"
+#~ msgstr "Es ist kein Patch angewandt"
diff --git a/po/fr.po b/po/fr.po
index 3b3b428..1c60a48 100644
--- a/po/fr.po
+++ b/po/fr.po
@@ -45,30 +45,42 @@ msgstr ""
"-p patch\n"
"\tPatch auquel les fichiers doivent être ajoutés."
-#: ../quilt/add.in:75 ../quilt/delete.in:69 ../quilt/files.in:74
-#: ../quilt/fold.in:79 ../quilt/push.in:176 ../quilt/remove.in:75
-msgid "No patch applied"
-msgstr "Aucun patch n'est appliqué"
+#: ../quilt/add.in:56 ../quilt/diff.in:118 ../quilt/diff.in:127
+#: ../quilt/remove.in:56
+#, fuzzy
+msgid "Patch $2 is not in series"
+msgstr "Le patch n'est pas appliqué"
-#: ../quilt/add.in:80 ../quilt/applied.in:71 ../quilt/refresh.in:113
-#: ../quilt/remove.in:80
+#: ../quilt/add.in:77 ../quilt/applied.in:76 ../quilt/refresh.in:109
+#: ../quilt/remove.in:77
msgid "Patch $patch is not applied"
msgstr "Le patch $patch n'est pas appliqué"
-#: ../quilt/add.in:89
-msgid "File $file is already in patch $patch"
+#: ../quilt/add.in:84 ../quilt/delete.in:68 ../quilt/diff.in:172
+#: ../quilt/files.in:79 ../quilt/fold.in:79 ../quilt/pop.in:184
+#: ../quilt/push.in:181 ../quilt/push.in:215 ../quilt/refresh.in:116
+#: ../quilt/remove.in:84
+msgid "No patches applied"
+msgstr "Aucun patch n'est appliqué"
+
+#: ../quilt/add.in:94
+#, fuzzy
+msgid "File $SUBDIR$file is already in patch $patch"
msgstr "Le fichier $file est déjà dans le patch $patch"
-#: ../quilt/add.in:96 ../quilt/remove.in:97
-msgid "File $file modified by patch $next_patch"
+#: ../quilt/add.in:101 ../quilt/remove.in:102
+#, fuzzy
+msgid "File $SUBDIR$file modified by patch $next_patch"
msgstr "Le fichier $file est modifié par le patch $next_patch"
-#: ../quilt/add.in:103
-msgid "Failed to back up file $file"
+#: ../quilt/add.in:108
+#, fuzzy
+msgid "Failed to back up file $SUBDIR$file"
msgstr "Impossible de faire une copie de sécurité de $file"
-#: ../quilt/add.in:123
-msgid "File $file added to patch $patch"
+#: ../quilt/add.in:128
+#, fuzzy
+msgid "File $SUBDIR$file added to patch $patch"
msgstr "Le fichier $file a été ajouté au patch $patch"
#: ../quilt/applied.in:22
@@ -93,6 +105,13 @@ msgstr ""
"-n\tAffiche les noms des fichiers de patch au lieu des noms de patch.\n"
"\n"
+#: ../quilt/applied.in:71 ../quilt/files.in:72 ../quilt/next.in:70
+#: ../quilt/pop.in:130 ../quilt/previous.in:70 ../quilt/push.in:145
+#: ../quilt/unapplied.in:70
+#, fuzzy
+msgid "Patch $1 is not in series"
+msgstr "Le patch n'est pas appliqué"
+
#: ../quilt/delete.in:22
msgid "Usage: quilt delete [patch]"
msgstr "Usage : quilt delete [patch]"
@@ -112,7 +131,8 @@ msgstr ""
"(Seul le patch au sommet peut être retiré pour l'instant)."
#: ../quilt/delete.in:75
-msgid "Patch $patch does not exist"
+#, fuzzy
+msgid "Patch $patch is not in series"
msgstr "Le patch $patch n'existe pas"
#: ../quilt/delete.in:84
@@ -124,10 +144,14 @@ msgid "Failed to remove patch $patch"
msgstr "Impossible de retirer le patch $patch"
#: ../quilt/diff.in:27
-msgid "Usage: quilt diff [-p n] [-c patch|-z] [-R] [-P patch] [file ...]"
+#, fuzzy
+msgid ""
+"Usage: quilt diff [-p n] [-c patch|-z] [-R] [-P patch] [--diff=utility] "
+"[file ...]"
msgstr "Usage : quilt diff [-p n] [-c patch|-z] [-R] [-P patch] [fichier ...]"
#: ../quilt/diff.in:31
+#, fuzzy
msgid ""
"\n"
"\n"
@@ -151,6 +175,10 @@ msgid ""
"-z\tWrite to standard output the changes that have been made\n"
"\trelative to the topmost or specified patch.\n"
"\n"
+"--diff=utility\n"
+"\tUse the specified utility for generating the diff. The utility\n"
+"\tis invoked with the original and new file name as arguments.\n"
+"\n"
msgstr ""
"\n"
"\n"
@@ -175,21 +203,17 @@ msgstr ""
"\tau patch spécifié.\n"
"\n"
-#: ../quilt/diff.in:140
+#: ../quilt/diff.in:157
msgid "Options \\`-c patch', \\`--snapshot', and \\`-z' cannot be combined."
msgstr ""
"Les options \\`-c patch', \\`--snapshot' et \\`-z' ne peuvent pas être "
"combinées."
-#: ../quilt/diff.in:149 ../quilt/refresh.in:106
-msgid "No patch seem to be applied"
-msgstr "Aucun patch ne semble appliqué"
-
-#: ../quilt/diff.in:156
+#: ../quilt/diff.in:165
msgid "Patch $last_patch is not applied"
msgstr "Le patch $last_patch ne semble pas appliqué"
-#: ../quilt/diff.in:166
+#: ../quilt/diff.in:183
msgid ""
"Cannot diff patches with -p$opt_strip_level, please specify -p0 or -p1 "
"instead"
@@ -197,39 +221,40 @@ msgstr ""
"Impossible de créer des patches avec -p$opt_strip_level. Veuillez spécifier -"
"p0 ou -p1 à la place"
-#: ../quilt/diff.in:200
+#: ../quilt/diff.in:217
msgid "Patch $first_patch not applied before $last_patch."
msgstr "Le patch $first_patch n'est pas appliqué avant $last_patch."
-#: ../quilt/diff.in:234
-msgid "Cannot change into .pc/$last_patch"
+#: ../quilt/diff.in:251
+#, fuzzy
+msgid "Cannot change into $QUILT_PC/$last_patch"
msgstr "Impossible d'entrer dans .pc/$last_patch"
-#: ../quilt/diff.in:239 ../scripts/rpatch.in:61
+#: ../quilt/diff.in:257 ../scripts/rpatch.in:62
msgid "Failed to copy files to temporary directory"
msgstr "Impossible de copier les fichiers dans le répertoire temporaire"
-#: ../quilt/diff.in:250
+#: ../quilt/diff.in:268
msgid "Cannot change to temporary directory"
msgstr "Impossible d'entrer dans le répertoire temporaire"
-#: ../quilt/diff.in:267 ../scripts/rpatch.in:89
+#: ../quilt/diff.in:289 ../scripts/rpatch.in:90
msgid "Failed to patch temporary files"
msgstr "Impossible de patcher les fichiers temporaires"
-#: ../quilt/diff.in:274
+#: ../quilt/diff.in:296
msgid "Cannot change to source directory"
msgstr "Impossible d'entrer dans le répertoire source"
-#: ../quilt/diff.in:292
+#: ../quilt/diff.in:314
msgid "File $file is not being modified."
msgstr "Le fichier $file n'est pas modifié."
-#: ../quilt/diff.in:311 ../quilt/refresh.in:144
+#: ../quilt/diff.in:333 ../quilt/refresh.in:148
msgid "Diff failed, aborting."
msgstr "Le diff a échoué. Abandon."
-#: ../quilt/diff.in:318
+#: ../quilt/diff.in:340
msgid "More recent patches modify files in $last_patch."
msgstr "Un patch plus recent modifie des fichiers communs à $last_patch."
@@ -246,7 +271,8 @@ msgid ""
msgstr ""
"\n"
"\n"
-"Édite le(s) fichier(s) spécifiés au sein de $EDITOR après addition au patche\n"
+"Édite le(s) fichier(s) spécifiés au sein de $EDITOR après addition au "
+"patche\n"
"du sommet.\n"
#: ../quilt/files.in:22
@@ -270,11 +296,11 @@ msgstr ""
"-v\tAffichage verbeux, plus simple à lire.\n"
"\n"
-#: ../quilt/files.in:83
+#: ../quilt/files.in:88
msgid "Patch is not applied (no verbose output)"
msgstr "Le patch n'est pas appliqué (affichage non verbeux)"
-#: ../quilt/files.in:86
+#: ../quilt/files.in:91
msgid "Patch is not applied"
msgstr "Le patch n'est pas appliqué"
@@ -283,17 +309,18 @@ msgid "Usage: quilt fold [-p strip-level]"
msgstr "Usage : quilt fold [-p strip-level]"
#: ../quilt/fold.in:25
+#, fuzzy
msgid ""
"\n"
"\n"
-"Fold the patch read from standard input into the topmost patch: After\n"
-"making sure that all files modified by the patchfile are part of the\n"
-"topmost patch, the patch is applied with the specified strip level\n"
-"(which defaults to 1).\n"
+"Integrate the patch read from standard input into the topmost patch:\n"
+"After making sure that all files modified are part of the topmost\n"
+"patch, the patch is applied with the specified strip level (which\n"
+"defaults to 1).\n"
"\n"
"-p strip-level\n"
"\tThe number of pathname components to strip from file names\n"
-"\twhen applying patchfile.\n"
+"\twhen applying patchfile."
msgstr ""
"\n"
"\n"
@@ -306,8 +333,9 @@ msgstr ""
"\tNombre de niveaux de répertoires à retirer lors de l'application du \n"
"\tpatch (1 par défaut).\n"
-#: ../quilt/fold.in:110
-msgid "File ${file:${#workdir}+1} may be corrupted"
+#: ../quilt/fold.in:115
+#, fuzzy
+msgid "File $file may be corrupted"
msgstr "Le fichier ${file:${#workdir}+1} est peut-être corrompu"
#: ../quilt/fork.in:22
@@ -315,12 +343,13 @@ msgid "Usage: quilt fork [new_name]"
msgstr "Usage : quilt fork [{nouveau_nom}]"
#: ../quilt/fork.in:25
+#, fuzzy
msgid ""
"\n"
"Fork the next patch. If new_name is missing, the name of the\n"
"forked patch will be the current patch name, followed by \\\"-2\\\".\n"
"If the patch name already ends in a dash-and-number, the number is\n"
-"further incremented (e.g., patch.diff, patch-2.diff).\n"
+"further incremented (e.g., patch.diff, patch-2.diff, patch-3.diff).\n"
msgstr ""
"\n"
"Fork (c-à-d duplique) le patch suivant dans la pile.\n"
@@ -334,17 +363,20 @@ msgstr ""
msgid "All patches applied"
msgstr "Tous les patches sont appliqués"
-#: ../quilt/fork.in:93
+#: ../quilt/fork.in:90
msgid "Patch $patch exists already, please choose a new name"
msgstr "Le patch $patch existe déjà, veuillez choisir un nouveau nom"
-#: ../quilt/fork.in:100
-msgid "Fork of $next_file_name to $patch_file failed"
+#: ../quilt/fork.in:97
+#, fuzzy
+msgid "Fork of $next_patch to $patch failed"
msgstr "Le fork de $next_file_name en $patch_file a échoué"
-#: ../quilt/fork.in:104
-msgid "Fork of $next_file_name created as $(patch_file_name $patch)"
-msgstr "Le fork de $next_file_name a été créé en tant que $(patch_file_name $patch)"
+#: ../quilt/fork.in:101
+#, fuzzy
+msgid "Fork of $next_patch created as $patch"
+msgstr ""
+"Le fork de $next_file_name a été créé en tant que $(patch_file_name $patch)"
#: ../quilt/import.in:22
msgid "Usage: quilt import [-f] [-p num] [-n patch] [patchfile]"
@@ -457,15 +489,15 @@ msgstr ""
"au sommet dans le fichier de série.\n"
"\n"
-#: ../quilt/new.in:67
+#: ../quilt/new.in:66
msgid "Patch $patch exists already"
msgstr "Le patch $patch existe déjà"
-#: ../quilt/new.in:77
+#: ../quilt/new.in:76
msgid "Failed to create patch $patch"
msgstr "Impossible de crée le patch $patch"
-#: ../quilt/new.in:80
+#: ../quilt/new.in:79
msgid "Patch $patch is now on top"
msgstr "Le patch $patch est maintenant au sommet"
@@ -568,23 +600,19 @@ msgstr ""
"-v\tOpère verbeusement.\n"
"\n"
-#: ../quilt/pop.in:146
+#: ../quilt/pop.in:151
msgid "Patch $stop_at_patch is not applied."
msgstr "Le patch $stop_at_patch n'est pas appliqué."
-#: ../quilt/pop.in:156
+#: ../quilt/pop.in:161
msgid "No patch removed"
msgstr "Aucun patch retiré"
-#: ../quilt/pop.in:170 ../quilt/push.in:201
+#: ../quilt/pop.in:175 ../quilt/push.in:206
msgid "Interrupted by user"
msgstr "Interrompu par l'utilisateur"
-#: ../quilt/pop.in:179 ../quilt/push.in:210
-msgid "No patches applied"
-msgstr "Aucun patch n'est appliqué"
-
-#: ../quilt/pop.in:181 ../quilt/push.in:212
+#: ../quilt/pop.in:186 ../quilt/push.in:217
msgid "Now at patch $patch"
msgstr "Le patch $patch est maintenant au sommet"
@@ -670,11 +698,11 @@ msgstr ""
msgid "Patch $stop_at_patch not found in file series"
msgstr "Le patch $stop_at_patch est introuvable dans le fichier de série"
-#: ../quilt/push.in:163
+#: ../quilt/push.in:168
msgid "Patch $stop_at_patch is already applied."
msgstr "Le patch $stop_at_patch est déjà appliqué."
-#: ../quilt/push.in:180
+#: ../quilt/push.in:185
msgid ""
"The topmost patch $top is not in the series file anymore;\n"
"cannot determine the next patch from the series file.\n"
@@ -685,7 +713,7 @@ msgstr ""
"Veuillez utiliser pop -f pour le patch du sommet, et vérifier \n"
"votre fichier de série."
-#: ../quilt/push.in:186
+#: ../quilt/push.in:191
msgid "File series fully applied, ends at patch $top"
msgstr "La série est complètement appliquée. Le dernier patch est $top."
@@ -735,7 +763,12 @@ msgstr ""
"-f\tForce le rafraîchissement, même si des patches plus haut changent \n"
"\tles mêmes fichiers.\n"
-#: ../quilt/refresh.in:123
+#: ../quilt/refresh.in:104
+#, fuzzy
+msgid "Patch $opt_patch is not in series"
+msgstr "Le patch $stop_at_patch est introuvable dans le fichier de série"
+
+#: ../quilt/refresh.in:127
msgid ""
"Cannot refresh patches with -p$opt_strip_level, please specify -p0 or -p1 "
"instead"
@@ -743,17 +776,17 @@ msgstr ""
"Impossible de rafraîchir des patchs avec -p$opt_strip_level. Veuillez\n"
"spécifier -p0 ou -p1 à la place."
-#: ../quilt/refresh.in:150
+#: ../quilt/refresh.in:154
msgid "More recent patches modify files in $patch. Enforce refresh with -f."
msgstr ""
"Des fichiers plus récents modifient les mêmes fichiers que $patch.\n"
"Forcez le rafraîchissement avec -f."
-#: ../quilt/refresh.in:157
+#: ../quilt/refresh.in:161
msgid "Nothing in patch $patch"
msgstr "Le patch $patch ne contient rien"
-#: ../quilt/refresh.in:199
+#: ../quilt/refresh.in:192
msgid "Refreshed patch $patch"
msgstr "Le patch $patch a été rafraichi."
@@ -782,16 +815,19 @@ msgstr ""
"\tPatch duquel les fichiers doivent être retirés.\n"
"\n"
-#: ../quilt/remove.in:89
-msgid "File $file is not in patch $patch"
+#: ../quilt/remove.in:94
+#, fuzzy
+msgid "File $SUBDIR$file is not in patch $patch"
msgstr "Le fichier $file n'est pas dans le patch $patch."
-#: ../quilt/remove.in:105
-msgid "Failed to remove file $file from patch $patch"
+#: ../quilt/remove.in:110
+#, fuzzy
+msgid "Failed to remove file $SUBDIR$file from patch $patch"
msgstr "Impossible d'enlever le fichier $file du patch $patch."
-#: ../quilt/remove.in:110
-msgid "File $file removed from patch $patch"
+#: ../quilt/remove.in:115
+#, fuzzy
+msgid "File $SUBDIR$file removed from patch $patch"
msgstr "Le fichier $file a été enlevé du patch $patch."
#: ../quilt/series.in:22
@@ -967,24 +1003,24 @@ msgstr "Interrompu par l'utilisateur ; le patch $patch n'a pas été appliqué."
msgid "Patch file $patch_file appears to be empty"
msgstr "Le fichier de patch $patch_file semble vide"
-#: ../scripts/apatch.in:79
+#: ../scripts/apatch.in:83
msgid "Applying $patch"
msgstr "Application de $patch"
-#: ../scripts/apatch.in:114
+#: ../scripts/apatch.in:119
msgid "Patch $patch appears to be empty, applied"
msgstr "Le patch $patch semble vide. Il a été appliqué."
-#: ../scripts/apatch.in:117
+#: ../scripts/apatch.in:122
msgid "Applied $patch (forced; needs refresh)"
msgstr "$patch a été appliqué (forcé ; vous devriez le rafraîchir)"
-#: ../scripts/apatch.in:121
+#: ../scripts/apatch.in:126
msgid "Patch $patch does not apply (enforce with -f)"
msgstr ""
"Le patch $patch ne s'applique pas proprement (forcez l'application avec -f)"
-#: ../scripts/apatch.in:178 ../scripts/rpatch.in:192
+#: ../scripts/apatch.in:183 ../scripts/rpatch.in:193
msgid "The topmost patch $top needs to be refreshed first."
msgstr "Le patch au sommet $top doit être rafraichi au préalable."
@@ -992,15 +1028,15 @@ msgstr "Le patch au sommet $top doit être rafraichi au préalable."
msgid "Usage: $0 [-fRq] patchname"
msgstr "Usage: $0 [-fRq] nom_de_patch"
-#: ../scripts/rpatch.in:104
+#: ../scripts/rpatch.in:105
msgid "Patch $patch does not remove cleanly (enforce with -f)."
msgstr "Le patch $patch ne se retire pas proprement (forcez avec -f)"
-#: ../scripts/rpatch.in:121
+#: ../scripts/rpatch.in:122
msgid "Patch $patch appears to be empty, removed"
msgstr "Le patch $patch semble vide. Il a été retiré."
-#: ../scripts/rpatch.in:135
+#: ../scripts/rpatch.in:136
msgid "Removing $patch"
msgstr "Retrait de $patch"
@@ -1008,6 +1044,12 @@ msgstr "Retrait de $patch"
msgid " done"
msgstr " fini"
+#~ msgid "No patch applied"
+#~ msgstr "Aucun patch n'est appliqué"
+
+#~ msgid "No patch seem to be applied"
+#~ msgstr "Aucun patch ne semble appliqué"
+
#~ msgid "Recreated file list for $patch"
#~ msgstr "La liste des fichiers pour $patch a été recrée."
diff --git a/po/quilt.pot b/po/quilt.pot
index 0b9d61d..4444fa0 100644
--- a/po/quilt.pot
+++ b/po/quilt.pot
@@ -22,30 +22,37 @@ msgid ""
"\tPatch to add files to."
msgstr ""
-#: ../quilt/add.in:75 ../quilt/delete.in:69 ../quilt/files.in:74
-#: ../quilt/fold.in:79 ../quilt/push.in:176 ../quilt/remove.in:75
-msgid "No patch applied"
+#: ../quilt/add.in:56 ../quilt/diff.in:118 ../quilt/diff.in:127
+#: ../quilt/remove.in:56
+msgid "Patch $2 is not in series"
msgstr ""
-#: ../quilt/add.in:80 ../quilt/applied.in:71 ../quilt/refresh.in:113
-#: ../quilt/remove.in:80
+#: ../quilt/add.in:77 ../quilt/applied.in:76 ../quilt/refresh.in:109
+#: ../quilt/remove.in:77
msgid "Patch $patch is not applied"
msgstr ""
-#: ../quilt/add.in:89
-msgid "File $file is already in patch $patch"
+#: ../quilt/add.in:84 ../quilt/delete.in:68 ../quilt/diff.in:172
+#: ../quilt/files.in:79 ../quilt/fold.in:79 ../quilt/pop.in:184
+#: ../quilt/push.in:181 ../quilt/push.in:215 ../quilt/refresh.in:116
+#: ../quilt/remove.in:84
+msgid "No patches applied"
+msgstr ""
+
+#: ../quilt/add.in:94
+msgid "File $SUBDIR$file is already in patch $patch"
msgstr ""
-#: ../quilt/add.in:96 ../quilt/remove.in:97
-msgid "File $file modified by patch $next_patch"
+#: ../quilt/add.in:101 ../quilt/remove.in:102
+msgid "File $SUBDIR$file modified by patch $next_patch"
msgstr ""
-#: ../quilt/add.in:103
-msgid "Failed to back up file $file"
+#: ../quilt/add.in:108
+msgid "Failed to back up file $SUBDIR$file"
msgstr ""
-#: ../quilt/add.in:123
-msgid "File $file added to patch $patch"
+#: ../quilt/add.in:128
+msgid "File $SUBDIR$file added to patch $patch"
msgstr ""
#: ../quilt/applied.in:22
@@ -63,6 +70,12 @@ msgid ""
"\n"
msgstr ""
+#: ../quilt/applied.in:71 ../quilt/files.in:72 ../quilt/next.in:70
+#: ../quilt/pop.in:130 ../quilt/previous.in:70 ../quilt/push.in:145
+#: ../quilt/unapplied.in:70
+msgid "Patch $1 is not in series"
+msgstr ""
+
#: ../quilt/delete.in:22
msgid "Usage: quilt delete [patch]"
msgstr ""
@@ -77,7 +90,7 @@ msgid ""
msgstr ""
#: ../quilt/delete.in:75
-msgid "Patch $patch does not exist"
+msgid "Patch $patch is not in series"
msgstr ""
#: ../quilt/delete.in:84
@@ -89,7 +102,9 @@ msgid "Failed to remove patch $patch"
msgstr ""
#: ../quilt/diff.in:27
-msgid "Usage: quilt diff [-p n] [-c patch|-z] [-R] [-P patch] [file ...]"
+msgid ""
+"Usage: quilt diff [-p n] [-c patch|-z] [-R] [-P patch] [--diff=utility] "
+"[file ...]"
msgstr ""
#: ../quilt/diff.in:31
@@ -116,59 +131,59 @@ msgid ""
"-z\tWrite to standard output the changes that have been made\n"
"\trelative to the topmost or specified patch.\n"
"\n"
+"--diff=utility\n"
+"\tUse the specified utility for generating the diff. The utility\n"
+"\tis invoked with the original and new file name as arguments.\n"
+"\n"
msgstr ""
-#: ../quilt/diff.in:140
+#: ../quilt/diff.in:157
msgid "Options \\`-c patch', \\`--snapshot', and \\`-z' cannot be combined."
msgstr ""
-#: ../quilt/diff.in:149 ../quilt/refresh.in:106
-msgid "No patch seem to be applied"
-msgstr ""
-
-#: ../quilt/diff.in:156
+#: ../quilt/diff.in:165
msgid "Patch $last_patch is not applied"
msgstr ""
-#: ../quilt/diff.in:166
+#: ../quilt/diff.in:183
msgid ""
"Cannot diff patches with -p$opt_strip_level, please specify -p0 or -p1 "
"instead"
msgstr ""
-#: ../quilt/diff.in:200
+#: ../quilt/diff.in:217
msgid "Patch $first_patch not applied before $last_patch."
msgstr ""
-#: ../quilt/diff.in:234
-msgid "Cannot change into .pc/$last_patch"
+#: ../quilt/diff.in:251
+msgid "Cannot change into $QUILT_PC/$last_patch"
msgstr ""
-#: ../quilt/diff.in:239 ../scripts/rpatch.in:61
+#: ../quilt/diff.in:257 ../scripts/rpatch.in:62
msgid "Failed to copy files to temporary directory"
msgstr ""
-#: ../quilt/diff.in:250
+#: ../quilt/diff.in:268
msgid "Cannot change to temporary directory"
msgstr ""
-#: ../quilt/diff.in:270 ../scripts/rpatch.in:89
+#: ../quilt/diff.in:289 ../scripts/rpatch.in:90
msgid "Failed to patch temporary files"
msgstr ""
-#: ../quilt/diff.in:277
+#: ../quilt/diff.in:296
msgid "Cannot change to source directory"
msgstr ""
-#: ../quilt/diff.in:295
+#: ../quilt/diff.in:314
msgid "File $file is not being modified."
msgstr ""
-#: ../quilt/diff.in:314 ../quilt/refresh.in:144
+#: ../quilt/diff.in:333 ../quilt/refresh.in:148
msgid "Diff failed, aborting."
msgstr ""
-#: ../quilt/diff.in:321
+#: ../quilt/diff.in:340
msgid "More recent patches modify files in $last_patch."
msgstr ""
@@ -198,11 +213,11 @@ msgid ""
"\n"
msgstr ""
-#: ../quilt/files.in:83
+#: ../quilt/files.in:88
msgid "Patch is not applied (no verbose output)"
msgstr ""
-#: ../quilt/files.in:86
+#: ../quilt/files.in:91
msgid "Patch is not applied"
msgstr ""
@@ -224,8 +239,8 @@ msgid ""
"\twhen applying patchfile."
msgstr ""
-#: ../quilt/fold.in:110
-msgid "File ${file:${#workdir}+1} may be corrupted"
+#: ../quilt/fold.in:115
+msgid "File $file may be corrupted"
msgstr ""
#: ../quilt/fork.in:22
@@ -245,16 +260,16 @@ msgstr ""
msgid "All patches applied"
msgstr ""
-#: ../quilt/fork.in:93
+#: ../quilt/fork.in:90
msgid "Patch $patch exists already, please choose a new name"
msgstr ""
-#: ../quilt/fork.in:100
-msgid "Fork of $next_file_name to $patch_file failed"
+#: ../quilt/fork.in:97
+msgid "Fork of $next_patch to $patch failed"
msgstr ""
-#: ../quilt/fork.in:104
-msgid "Fork of $next_file_name created as $(patch_file_name $patch)"
+#: ../quilt/fork.in:101
+msgid "Fork of $next_patch created as $patch"
msgstr ""
#: ../quilt/import.in:22
@@ -348,15 +363,15 @@ msgid ""
"\n"
msgstr ""
-#: ../quilt/new.in:67
+#: ../quilt/new.in:66
msgid "Patch $patch exists already"
msgstr ""
-#: ../quilt/new.in:77
+#: ../quilt/new.in:76
msgid "Failed to create patch $patch"
msgstr ""
-#: ../quilt/new.in:80
+#: ../quilt/new.in:79
msgid "Patch $patch is now on top"
msgstr ""
@@ -420,23 +435,19 @@ msgid ""
"\n"
msgstr ""
-#: ../quilt/pop.in:146
+#: ../quilt/pop.in:151
msgid "Patch $stop_at_patch is not applied."
msgstr ""
-#: ../quilt/pop.in:156
+#: ../quilt/pop.in:161
msgid "No patch removed"
msgstr ""
-#: ../quilt/pop.in:170 ../quilt/push.in:201
+#: ../quilt/pop.in:175 ../quilt/push.in:206
msgid "Interrupted by user"
msgstr ""
-#: ../quilt/pop.in:179 ../quilt/push.in:210
-msgid "No patches applied"
-msgstr ""
-
-#: ../quilt/pop.in:181 ../quilt/push.in:212
+#: ../quilt/pop.in:186 ../quilt/push.in:217
msgid "Now at patch $patch"
msgstr ""
@@ -491,18 +502,18 @@ msgstr ""
msgid "Patch $stop_at_patch not found in file series"
msgstr ""
-#: ../quilt/push.in:163
+#: ../quilt/push.in:168
msgid "Patch $stop_at_patch is already applied."
msgstr ""
-#: ../quilt/push.in:180
+#: ../quilt/push.in:185
msgid ""
"The topmost patch $top is not in the series file anymore;\n"
"cannot determine the next patch from the series file.\n"
"Please pop -f the top patch and check your series file."
msgstr ""
-#: ../quilt/push.in:186
+#: ../quilt/push.in:191
msgid "File series fully applied, ends at patch $top"
msgstr ""
@@ -533,21 +544,25 @@ msgid ""
"\n"
msgstr ""
-#: ../quilt/refresh.in:123
+#: ../quilt/refresh.in:104
+msgid "Patch $opt_patch is not in series"
+msgstr ""
+
+#: ../quilt/refresh.in:127
msgid ""
"Cannot refresh patches with -p$opt_strip_level, please specify -p0 or -p1 "
"instead"
msgstr ""
-#: ../quilt/refresh.in:150
+#: ../quilt/refresh.in:154
msgid "More recent patches modify files in $patch. Enforce refresh with -f."
msgstr ""
-#: ../quilt/refresh.in:157
+#: ../quilt/refresh.in:161
msgid "Nothing in patch $patch"
msgstr ""
-#: ../quilt/refresh.in:199
+#: ../quilt/refresh.in:192
msgid "Refreshed patch $patch"
msgstr ""
@@ -567,16 +582,16 @@ msgid ""
"\n"
msgstr ""
-#: ../quilt/remove.in:89
-msgid "File $file is not in patch $patch"
+#: ../quilt/remove.in:94
+msgid "File $SUBDIR$file is not in patch $patch"
msgstr ""
-#: ../quilt/remove.in:105
-msgid "Failed to remove file $file from patch $patch"
+#: ../quilt/remove.in:110
+msgid "Failed to remove file $SUBDIR$file from patch $patch"
msgstr ""
-#: ../quilt/remove.in:110
-msgid "File $file removed from patch $patch"
+#: ../quilt/remove.in:115
+msgid "File $SUBDIR$file removed from patch $patch"
msgstr ""
#: ../quilt/series.in:22
@@ -712,23 +727,23 @@ msgstr ""
msgid "Patch file $patch_file appears to be empty"
msgstr ""
-#: ../scripts/apatch.in:79
+#: ../scripts/apatch.in:83
msgid "Applying $patch"
msgstr ""
-#: ../scripts/apatch.in:114
+#: ../scripts/apatch.in:119
msgid "Patch $patch appears to be empty, applied"
msgstr ""
-#: ../scripts/apatch.in:117
+#: ../scripts/apatch.in:122
msgid "Applied $patch (forced; needs refresh)"
msgstr ""
-#: ../scripts/apatch.in:121
+#: ../scripts/apatch.in:126
msgid "Patch $patch does not apply (enforce with -f)"
msgstr ""
-#: ../scripts/apatch.in:178 ../scripts/rpatch.in:192
+#: ../scripts/apatch.in:183 ../scripts/rpatch.in:193
msgid "The topmost patch $top needs to be refreshed first."
msgstr ""
@@ -736,15 +751,15 @@ msgstr ""
msgid "Usage: $0 [-fRq] patchname"
msgstr ""
-#: ../scripts/rpatch.in:104
+#: ../scripts/rpatch.in:105
msgid "Patch $patch does not remove cleanly (enforce with -f)."
msgstr ""
-#: ../scripts/rpatch.in:121
+#: ../scripts/rpatch.in:122
msgid "Patch $patch appears to be empty, removed"
msgstr ""
-#: ../scripts/rpatch.in:135
+#: ../scripts/rpatch.in:136
msgid "Removing $patch"
msgstr ""
diff --git a/quilt.changes b/quilt.changes
index d72d4dc..0c42669 100644
--- a/quilt.changes
+++ b/quilt.changes
@@ -1,6 +1,11 @@
-------------------------------------------------------------------
-Sat Jan 31 14:05:22 CET 2004 - agruen@suse.de
+Sat Jan 31 14:33:48 CET 2004 - agruen@suse.de
+- No longer remove common extensions (.dif, .diff, .patch, .gz,
+ .bz2) from patch names. This allows patches in the same series
+ that only differ by extension, and cleans up the scripts a
+ little. Also don't remove extensions when printing patch names.
+- Remove unused diffstat code.
- Fix generating doc/README after subdirectory support broke it.
- Remove excessive newlines in -h messages.
diff --git a/quilt.spec.in b/quilt.spec.in
index e5ba22e..3907ea7 100644
--- a/quilt.spec.in
+++ b/quilt.spec.in
@@ -50,6 +50,7 @@ rm -rf $RPM_BUILD_ROOT
/etc/bash_completion.d/quilt
%doc %{_mandir}/man1/guards.1.gz
%doc %{_docdir}/%{name}-%{version}/README
+%doc %{_docdir}/%{name}-%{version}/quilt.pdf
%changelog
# The changelog is filled in by "make spec".
diff --git a/quilt/add.in b/quilt/add.in
index 8589475..ab640c9 100644
--- a/quilt/add.in
+++ b/quilt/add.in
@@ -49,7 +49,11 @@ while true
do
case "$1" in
-p)
- opt_patch=$2
+ if ! patch=$(find_patch $2)
+ then
+ echo $"Patch $2 is not in series" >&2
+ exit 1
+ fi
shift 2 ;;
-h)
usage -h ;;
@@ -64,20 +68,20 @@ then
usage
fi
-patch=$(stripit $opt_patch)
-if [ -z "$patch" ]
+if [ -n "$patch" ]
then
+ if ! is_applied $patch
+ then
+ echo $"Patch $patch is not applied" >&2
+ exit 1
+ fi
+else
patch=$(top_patch)
-fi
-if [ -z "$patch" ]
-then
- echo $"No patch applied"
-fi
-
-if ! is_applied $patch
-then
- echo $"Patch $patch is not applied"
- exit 1
+ if [ -z "$patch" ]
+ then
+ echo $"No patches applied" >&2
+ exit 1
+ fi
fi
status=0
diff --git a/quilt/applied.in b/quilt/applied.in
index ea28a29..d0ff544 100644
--- a/quilt/applied.in
+++ b/quilt/applied.in
@@ -62,7 +62,11 @@ then
usage
elif [ $# -eq 1 ]
then
- patch=$(stripit $1)
+ if ! patch=$(find_patch $1)
+ then
+ echo $"Patch $1 is not in series" >&2
+ exit 1
+ fi
if ! is_applied "$patch"
then
echo $"Patch $patch is not applied" >&2
diff --git a/quilt/delete.in b/quilt/delete.in
index 132b9d8..0bef1fc 100644
--- a/quilt/delete.in
+++ b/quilt/delete.in
@@ -58,20 +58,19 @@ then
usage
fi
-patch=$(stripit $1)
-
+patch="$1"
if [ -z "$patch" ]
then
patch="$(top_patch)"
if [ -z "$patch" ]
then
- echo $"No patch applied"
+ echo $"No patches applied"
exit 1
fi
else
- if ! patch_in_series $patch
+ if ! patch=$(find_patch $patch)
then
- echo $"Patch $patch does not exist"
+ echo $"Patch $patch is not in series"
exit 1
fi
fi
diff --git a/quilt/diff.in b/quilt/diff.in
index 79d992a..8944734 100644
--- a/quilt/diff.in
+++ b/quilt/diff.in
@@ -75,7 +75,9 @@ do_diff()
[ -s "$new_file" ] || new_file=/dev/null
if ! @DIFF@ -qN $old_file $new_file >/dev/null
then
+ export LANG=$ORIGINAL_LANG
$opt_diff $old_file $new_file
+ export LANG=POSIX
true
fi
else
@@ -107,11 +109,22 @@ do
opt_strip_level=$2
shift 2 ;;
-P)
- last_patch=$(stripit $2)
+ if ! last_patch=$(find_patch $2)
+ then
+ echo $"Patch $2 is not in series" >&2
+ exit 1
+ fi
shift 2 ;;
-c)
opt_combine=1
- first_patch=$(stripit $2)
+ if [ "$2" = - ]
+ then
+ first_patch=-
+ elif ! first_patch=$(find_patch $2)
+ then
+ echo $"Patch $2 is not in series" >&2
+ exit 1
+ fi
shift 2 ;;
-R)
opt_reverse=1
@@ -138,26 +151,27 @@ opt_files=( $(for file in "$@"; do echo "$SUBDIR$file" ; done) )
if [ $[0$opt_combine + 0$opt_snapshot + 0$opt_relative] -gt 1 ]
then
- echo $"Options \`-c patch', \`--snapshot', and \`-z' cannot be combined."
+ echo \
+$"Options \`-c patch', \`--snapshot', and \`-z' cannot be combined."
die 1
fi
-if [ -z "$last_patch" ]
+if [ -n "$last_patch" ]
then
+ if ! is_applied "$last_patch"
+ then
+ echo $"Patch $last_patch is not applied" >&2
+ die 1
+ fi
+else
last_patch=$(top_patch)
if [ -z "$last_patch" ]
then
- echo $"No patch seem to be applied" >&2
+ echo $"No patches applied" >&2
die 1
fi
fi
-if ! is_applied "$last_patch"
-then
- echo $"Patch $last_patch is not applied" >&2
- die 1
-fi
-
if [ -z "$opt_strip_level" ]
then
opt_strip_level=$(patch_strip_level $last_patch)
@@ -256,8 +270,9 @@ then
if [ -s $pwd/$patch_file ]
then
if ! cat_file $pwd/$patch_file \
- | @PATCH@ $QUILT_PATCH_OPTS $patch_args --no-backup-if-mismatch \
- -Ef >/dev/null 2>/dev/null
+ | @PATCH@ $QUILT_PATCH_OPTS $patch_args \
+ --no-backup-if-mismatch -Ef \
+ >/dev/null 2>/dev/null
then
# If a patch was force applied (and therefore needs
# refreshing), we know that patching the temporary
diff --git a/quilt/files.in b/quilt/files.in
index 1d1453c..cc62b6b 100644
--- a/quilt/files.in
+++ b/quilt/files.in
@@ -63,12 +63,16 @@ opt_patch=$1
if [ -n "$opt_patch" ]
then
- patch=$(stripit "$opt_patch")
+ if ! patch=$(find_patch $opt_patch)
+ then
+ echo $"Patch $1 is not in series" >&2
+ exit 1
+ fi
else
patch=$(top_patch)
if [ -z "$patch" ]
then
- echo $"No patch applied" >&2
+ echo $"No patches applied" >&2
exit 1
fi
fi
@@ -97,8 +101,6 @@ do
if [ -s $file ]
then
status="+"
- else
- continue
fi
fi
if [ -z "$opt_verbose" ]
diff --git a/quilt/fold.in b/quilt/fold.in
index 5e9cb02..cd7d327 100644
--- a/quilt/fold.in
+++ b/quilt/fold.in
@@ -75,7 +75,7 @@ fi
top=$(top_patch)
if [ -z "$top" ]
then
- echo $"No patch applied"
+ echo $"No patches applied"
fi
trap "failed=1" SIGINT
diff --git a/quilt/fork.in b/quilt/fork.in
index 853c942..985d5e4 100644
--- a/quilt/fork.in
+++ b/quilt/fork.in
@@ -58,49 +58,46 @@ then
usage
fi
-next="$(patches_after $(top_patch) | head -n 1)"
-if [ -z "$next" ]
+next_patch="$(patches_after $(top_patch) | head -n 1)"
+if [ -z "$next_patch" ]
then
echo $"All patches applied" >&2
exit 1
fi
-next_file_name="$(patch_file_name $next)"
if [ $# -eq 1 ]
then
- patch_file="$1"
+ patch="$1"
else
- set -- $(echo "$next" \
+ set -- $(echo "$next_patch" \
| @SED@ -e 's: :\ :g' -e 's:-\([0-9]\+\)$: \1:')
if [ $# -eq 1 ]; then
- patch_file="$1-2"
+ patch="$1-2"
else
- patch_file="$1-$[$2+1]"
+ patch="$1-$[$2+1]"
fi
- ext="$(echo $next_file_name \
- | @SED@ -e '\:\.\(diff\?\|patch\)\(\.gz\|\.bz2\|\)$:!d' \
- -e 's:.*\(\.\(diff\?\|patch\)\(\.gz\|\.bz2\|\)\)$:\1:')"
- patch_file="$patch_file$ext"
+ base=$(echo $next_patch \
+ | @SED@ -e 's:\(\|\.diff\?\|\.patch\)\(\|\.gz\|\.bz2\)$::')
+ patch="$patch${next_patch#$base}"
fi
-patch_file=$(echo $patch_file | @SED@ -e 's/^'"$(quote_bre $QUILT_PATCHES)"'\///')
-patch=$(stripit $patch_file)
+patch=${patch#$QUILT_PATCHES/}
if patch_in_series $patch || \
- [ -e "patches/$patch_file" ]
+ [ -e "$(patch_file_name $patch)" ]
then
echo $"Patch $patch exists already, please choose a new name"
exit 1
fi
-if ! rename_in_series "$next" "$patch_file" || \
- ! cp -p "$next_file_name" "$(patch_file_name $patch)"
+if ! rename_in_series "$next_patch" "$patch" || \
+ ! cp -p "$(patch_file_name $next_patch)" "$(patch_file_name $patch)"
then
- echo $"Fork of $next_file_name to $patch_file failed" >&2
+ echo $"Fork of $next_patch to $patch failed" >&2
exit 1
fi
-echo $"Fork of $next_file_name created as $(patch_file_name $patch)"
+echo $"Fork of $next_patch created as $patch"
### Local Variables:
### mode: shell-script
diff --git a/quilt/import.in b/quilt/import.in
index b325f3a..fcf1cc2 100644
--- a/quilt/import.in
+++ b/quilt/import.in
@@ -153,29 +153,14 @@ then
exit 1
fi
- if grep -q '^%patch$' "$patch_file" &&
- ! grep -q '^%patch$' "$input_file"
+ echo $"Replacing patch $patch with new version"
+ if ! cat "$input_file" > "$patch_file"
then
- echo $"Updating %patch section of patch $patch"
- if ! @SCRIPTS@/parse-patch -u patch $patch_file < "$input_file"
- then
- echo $"Failed to update %patch section of patch $patch"
- exit 1
- fi
- else
- echo $"Replacing patch $patch with new version"
- if ! cat "$input_file" > "$patch_file"
- then
- echo $"Failed to replace patch $patch"
- exit 1
- fi
+ echo $"Failed to replace patch $patch"
+ exit 1
fi
else
echo $"Importing patch $patch (stored as $patch_file)"
- if ! grep -q '^%patch$' "$input_file"
- then
- echo "%patch" >> "$patch_file"
- fi
if ! cat "$input_file" >> "$patch_file"
then
echo $"Failed to import patch $patch"
diff --git a/quilt/new.in b/quilt/new.in
index 86058d4..00d16ea 100644
--- a/quilt/new.in
+++ b/quilt/new.in
@@ -56,8 +56,7 @@ then
usage
fi
-patch_file=$(echo $1 | @SED@ -e 's/^'"$(quote_bre $QUILT_PATCHES)"'\///')
-patch=$(stripit $patch_file)
+patch=${1#$QUILT_PATCHES/}
if patch_in_series $patch
then
@@ -68,7 +67,7 @@ fi
rm -rf "$QUILT_PC/$patch"
mkdir -p "$QUILT_PC/$patch"
-if ! insert_in_series $patch_file || \
+if ! insert_in_series $patch || \
! add_to_db $patch
then
echo $"Failed to create patch $patch"
diff --git a/quilt/next.in b/quilt/next.in
index 9de460a..4fa77c4 100644
--- a/quilt/next.in
+++ b/quilt/next.in
@@ -61,7 +61,11 @@ then
usage
elif [ $# -eq 1 ]
then
- patch=$(stripit $1)
+ if ! patch=$(find_patch $1)
+ then
+ echo $"Patch $1 is not in series" >&2
+ exit 1
+ fi
else
patch=$(top_patch)
fi
@@ -72,8 +76,11 @@ then
else
next=$(patches_after $patch | head -n 1)
fi
-[ -n "$opt_filenames" ] && next=$(patch_file_name $next)
-echo "$next"
+if [ -n "$previous" ]
+then
+ [ -n "$opt_filenames" ] && next=$(patch_file_name $next)
+ echo "$next"
+fi
### Local Variables:
### mode: shell-script
### End:
diff --git a/quilt/pop.in b/quilt/pop.in
index 9700912..0a08f89 100644
--- a/quilt/pop.in
+++ b/quilt/pop.in
@@ -121,7 +121,11 @@ then
then
number=$1
else
- stop_at_patch=$(stripit $1)
+ if ! stop_at_patch=$(find_patch $1)
+ then
+ echo $"Patch $1 is not in series" >&2
+ exit 1
+ fi
fi
else
[ -n "$opt_all" ] || number=1
diff --git a/quilt/previous.in b/quilt/previous.in
index 0d335de..61e1b89 100644
--- a/quilt/previous.in
+++ b/quilt/previous.in
@@ -61,7 +61,11 @@ then
usage
elif [ $# -eq 1 ]
then
- patch=$(stripit $1)
+ if ! patch=$(find_patch $1)
+ then
+ echo $"Patch $1 is not in series" >&2
+ exit 1
+ fi
else
patch=$(top_patch)
fi
diff --git a/quilt/push.in b/quilt/push.in
index b1c8685..4202f59 100644
--- a/quilt/push.in
+++ b/quilt/push.in
@@ -136,7 +136,11 @@ then
then
number=$1
else
- stop_at_patch=$(stripit $1)
+ if ! stop_at_patch=$(find_patch $1)
+ then
+ echo $"Patch $1 is not in series" >&2
+ exit 1
+ fi
fi
else
[ -z "$opt_all" ] && number=1
@@ -170,7 +174,7 @@ then
top=$(top_patch)
if [ -z "$top" ]
then
- echo $"No patch applied"
+ echo $"No patches applied"
elif [ -z "$(patch_file_name $top)" ]
then
echo -e \
diff --git a/quilt/refresh.in b/quilt/refresh.in
index 465e113..798d15f 100644
--- a/quilt/refresh.in
+++ b/quilt/refresh.in
@@ -95,22 +95,25 @@ fi
if [ -n "$opt_patch" ]
then
- patch=$(stripit $opt_patch)
+ if ! patch=$(find_patch $opt_patch)
+ then
+ echo $"Patch $opt_patch is not in series" >&2
+ exit 1
+ fi
+ if ! is_applied "$patch"
+ then
+ echo $"Patch $patch is not applied" >&2
+ exit 1
+ fi
else
patch=$(top_patch)
if [ -z "$patch" ]
then
- echo $"No patch seem to be applied" >&2
+ echo $"No patches applied" >&2
exit 1
fi
fi
-if ! is_applied "$patch"
-then
- echo $"Patch $patch is not applied" >&2
- exit 1
-fi
-
if [ -z "$opt_strip_level" ]
then
opt_strip_level=$(patch_strip_level $patch)
@@ -159,34 +162,24 @@ patch_file=$(patch_file_name $patch)
trap "" SIGINT
-if [ -e $patch_file ] && grep -q '^%patch$' $patch_file
+if ! tmpfile2=$(gen_tempfile)
then
- if [ -x "@DIFFSTAT@" ]
- then
- @DIFFSTAT@ $tmpfile 2>/dev/null \
- | @SCRIPTS@/parse-patch -u diffstat $patch_file
- fi
- cat $tmpfile \
- | @SCRIPTS@/parse-patch -u patch $patch_file
-else
- if ! tmpfile2=$(gen_tempfile)
- then
- die 1
- fi
+ die 1
+fi
- mkdir -p $(dirname $patch_file)
+mkdir -p $(dirname $patch_file)
- if ! cat_file $patch_file \
- | patch_description > $tmpfile2 || \
- ! cat $tmpfile >> $tmpfile2 || \
- ! cat $tmpfile2 \
- | cat_to_file $patch_file
- then
- die 1
- fi
+if ! cat_file $patch_file \
+ | patch_description > $tmpfile2 || \
+ ! cat $tmpfile >> $tmpfile2 || \
+ ! cat $tmpfile2 \
+ | cat_to_file $patch_file
+then
+ die 1
fi
-if [ $? -ne 0 ]
+if [ $? != 0 ]
then
+ echo $""
die 1
fi
diff --git a/quilt/remove.in b/quilt/remove.in
index 08d8fea..53e4f75 100644
--- a/quilt/remove.in
+++ b/quilt/remove.in
@@ -47,7 +47,11 @@ while true
do
case "$1" in
-p)
- opt_patch=$2
+ if ! patch=$(find_patch $2)
+ then
+ echo $"Patch $2 is not in series" >&2
+ exit 1
+ fi
shift 2 ;;
-h)
usage -h ;;
@@ -62,20 +66,20 @@ then
usage
fi
-patch=$(stripit $opt_patch)
-if [ -z "$patch" ]
+if [ -n "$patch" ]
then
+ if ! is_applied $patch
+ then
+ echo $"Patch $patch is not applied" >&2
+ exit 1
+ fi
+else
patch=$(top_patch)
-fi
-if [ -z "$patch" ]
-then
- echo $"No patch applied"
-fi
-
-if ! is_applied $patch
-then
- echo $"Patch $patch is not applied"
- exit 1
+ if [ -z "$patch" ]
+ then
+ echo $"No patches applied" >&2
+ exit 1
+ fi
fi
status=0
diff --git a/quilt/unapplied.in b/quilt/unapplied.in
index f200719..5964fe8 100644
--- a/quilt/unapplied.in
+++ b/quilt/unapplied.in
@@ -61,7 +61,11 @@ then
usage
elif [ $# -eq 1 ]
then
- patch=$(stripit $1)
+ if ! patch=$(find_patch $1)
+ then
+ echo $"Patch $1 is not in series" >&2
+ exit 1
+ fi
else
patch=$(top_patch)
fi
diff --git a/scripts/apatch.in b/scripts/apatch.in
index 2ec69bc..94c74b4 100755
--- a/scripts/apatch.in
+++ b/scripts/apatch.in
@@ -77,7 +77,7 @@ rollback_patch()
apatch()
{
- local patch=$(stripit $1)
+ local patch=$1
local file status
echo $"Applying $patch"
@@ -175,7 +175,7 @@ fi
[ -z "$opt_interactive" ] && force_apply=-f
[ -n "$opt_force" ] && opt_leave_rejects=1
-patch=$(stripit $1)
+patch=$1
top=$(top_patch)
if [ -n "$top" -a -e $QUILT_PC/$top~refresh ]
diff --git a/scripts/patchfns.in b/scripts/patchfns.in
index 17275f6..1ec7ce4 100644
--- a/scripts/patchfns.in
+++ b/scripts/patchfns.in
@@ -7,6 +7,9 @@
#
# See the COPYING and AUTHORS files for more details.
+ORIINAL_LANG=$LANG
+export LANG=POSIX
+
export TEXTDOMAIN=quilt
if [ -e $HOME/.quiltrc ]
@@ -97,14 +100,7 @@ patch_file_name()
{
local patch=$1
- if [ -e $SERIES ]
- then
- @AWK@ '/^'"$(quote_re $patch)"'(|\.patch|\.diff?)(|\.gz|\.bz2)([ \t]|$)/ \
- { printf "'"$QUILT_PATCHES"'/%s\n", $1
- exit
- }
- ' $SERIES
- fi
+ echo "$QUILT_PATCHES/$1"
}
# The -pN option and possibly others that should be passed to patch.
@@ -115,7 +111,7 @@ patch_args()
if [ -e $SERIES ]
then
@AWK@ '
- /^'"$(quote_re $patch)"'(|\.patch|\.diff?)(|\.gz|\.bz2)([ \t]|$)/ \
+ $1 == "'"$patch"'" \
{ if (NF >= 2)
for (i=2; i <= NF; i++)
print $i
@@ -159,7 +155,7 @@ change_db_strip_level()
then
local tmpfile=$(gen_tempfile)
@AWK@ '
- /^'"$(quote_re $patch)"'(\.patch|\.diff?)(|\.gz|\.bz2)([ \t]|$)/ \
+ /^'"$(quote_re $patch)"'([ \t]|$)/ \
{ for(i=2; i<=NF; i++)
if ($i ~ /^-p/) {
$i="'"$level"'"
@@ -188,7 +184,7 @@ patch_in_series()
then
return 1
else
- grep -q -E '^'"$(quote_re $patch)"'(|\.patch|\.diff?)(|\.gz|\.bz2)([ \t]|$)' $SERIES
+ grep -q -E "^$(quote_re $patch)([ \t]|$)" $SERIES
fi
}
@@ -209,7 +205,7 @@ insert_in_series()
then
@AWK@ '
{ print }
- /^'"$(quote_re $top)"'(|\.patch|\.diff?)(|\.gz|\.bz2)([ \t]|$)/ \
+ /^'"$(quote_re $top)"'([ \t]|$)/ \
{ print "'"$patch$patch_args"'" }
' $SERIES > $tmpfile
status=$?
@@ -235,7 +231,7 @@ remove_from_series()
tmpfile=$(gen_tempfile) || return 1
@AWK@ '
- ! /^'"$(quote_re $patch)"'(|\.patch|\.diff?)(|\.gz|\.bz2)([ \t]|$)/ \
+ ! /^'"$(quote_re $patch)"'([ \t]|$)/ \
{ print }
' $SERIES > $tmpfile
if [ $? -ne 0 ]
@@ -253,9 +249,8 @@ rename_in_series()
tmpfile=$(gen_tempfile) || return 1
/usr/bin/gawk '
- /^'"$(quote_re $from)"'(|\.patch|\.diff?)(|\.gz|\.bz2)([ \t]|$)/ \
- { sub(/'"$(quote_re $from)(|\.patch|\.diff?)(|\.gz|\.bz2)"'/,
- "'"${to//\"/\\\"}"'")
+ /^'"$(quote_re $from)"'([ \t]|$)/ \
+ { sub(/'"$(quote_re $from)"'/, "'"${to//\"/\\\"}"'")
good=1 }
{ print }
END { exit(! good) }
@@ -284,8 +279,7 @@ cat_series()
if [ -e $SERIES ]
then
@SED@ -e '/^#/d' -e 's/^[ '$'\t'']*//' -e 's/[ '$'\t''].*//' \
- -e 's/\.gz$//' -e 's/\.bz2$//' \
- -e 's/\.patch$//' -e 's/\.diff\?$//' $SERIES
+ $SERIES
else
return 1
fi
@@ -411,16 +405,34 @@ remove_from_db()
fi
}
-stripit()
+find_patch()
{
- if [ -n "$1" ]
+ set -- $*
+ if [ $# -eq 1 -a -n "$1" -a -e "$SERIES" ]
then
- echo $1 |
- @SED@ -e 's/^\(\.\/\)*//' \
- -e 's/^'"$(quote_bre $QUILT_PATCHES)"'\///' \
- -e 's/\.gz$//' -e 's/\.bz2$//' \
- -e 's/\.patch$//' -e 's/\.diff\?$//'
+ local patch="${1#$QUILT_PATCHES/}"
+ local bre=$(quote_bre "$patch")
+ set -- $(@SED@ -e "/^$bre\(\|\.patch\|\.diff\?\)\(\|\.gz\|\.bz2\)\([ \t]\|$\)/!d" \
+ -e 's/[ \t].*//' $SERIES)
+ if [ $# -eq 1 ]
+ then
+ echo $1
+ return 0
+ else
+ # We may have an exact match, which overrides
+ # extension expansion
+ while [ $# -gt 0 ]
+ do
+ if [ $1 = "$patch" ]
+ then
+ echo $1
+ return 0
+ fi
+ shift
+ done
+ fi
fi
+ return 1
}
file_in_patch()
diff --git a/scripts/rpatch.in b/scripts/rpatch.in
index e4dfefb..92639bf 100755
--- a/scripts/rpatch.in
+++ b/scripts/rpatch.in
@@ -183,7 +183,7 @@ then
usage
fi
-patch=$(stripit $1)
+patch=$1
[ -n "$opt_quiet" ] && silent=-s
[ -z "$opt_verbose" ] && silent_unless_verbose=-s
diff --git a/test/comments.test b/test/comments.test
index e1f7f0c..680414b 100644
--- a/test/comments.test
+++ b/test/comments.test
@@ -22,13 +22,13 @@ accidentally removed.
< test.diff -p0
$ quilt push
- > Applying test
+ > Applying test.diff
> patching file f
>
- > Now at patch test
+ > Now at patch test.diff
$ quilt refresh
- > Refreshed patch test
+ > Refreshed patch test.diff
$ sed -e "s/\\t.*//" patches/test.diff
> C1
>
diff --git a/test/conflicts.test b/test/conflicts.test
index b8c6d11..0581fbd 100644
--- a/test/conflicts.test
+++ b/test/conflicts.test
@@ -23,50 +23,50 @@ anymore, then the patch is fixed.
< g
$ quilt new a.diff
- > Patch a is now on top
+ > Patch a.diff is now on top
$ quilt add one.txt
- > File one.txt added to patch a
+ > File one.txt added to patch a.diff
$ mv one.txt one.orig
$ sed -e "s/4/4+/" -e 's/d/d+/' one.orig > one.txt
$ quilt refresh
- > Refreshed patch a
+ > Refreshed patch a.diff
$ quilt pop -q
- > Removing a
+ > Removing a.diff
> No patches applied
$ sed -e "s/^\\([17]\\)\$/\\1-/" one.orig > one.txt
$ quilt push -q
- > Applying a
- > Now at patch a
+ > Applying a.diff
+ > Now at patch a.diff
$ quilt pop -q
- > Removing a
+ > Removing a.diff
> No patches applied
$ sed -e "s/^\\([1267]\\)\$/\\1-/" one.orig > one.txt
$ quilt push -q
- > Applying a
- > Now at patch a
+ > Applying a.diff
+ > Now at patch a.diff
$ quilt pop -q
- > Removing a
+ > Removing a.diff
> No patches applied
$ sed -e "s/^\\([123567]\\)\$/\\1-/" one.orig > one.txt
$ quilt push -q
- > Applying a
+ > Applying a.diff
> 1 out of 2 hunks FAILED -- rejects in file one.txt
- > Patch a does not apply (enforce with -f)
+ > Patch a.diff does not apply (enforce with -f)
$ quilt push -qf
- > Applying a
+ > Applying a.diff
> 1 out of 2 hunks FAILED -- saving rejects to file one.txt.rej
- > Applied a (forced; needs refresh)
+ > Applied a.diff (forced; needs refresh)
$ mv one.txt one.x
$ sed -e "s/4/4+/" one.x > one.txt
@@ -107,7 +107,7 @@ anymore, then the patch is fixed.
> g
$ quilt refresh
- > Refreshed patch a
+ > Refreshed patch a.diff
$ cat patches/a.diff | grep -v "^\\(---\\|+++\\)"
> Index: d/one.txt
@@ -132,7 +132,7 @@ anymore, then the patch is fixed.
> g
$ quilt pop -q
- > Removing a
+ > Removing a.diff
> No patches applied
$ cd ..
diff --git a/test/failpop.test b/test/failpop.test
index 9b4cc3d..57c3daa 100644
--- a/test/failpop.test
+++ b/test/failpop.test
@@ -5,23 +5,23 @@
< This is test.txt.
$ quilt new test.diff
- > Patch test is now on top
+ > Patch test.diff is now on top
$ quilt add test.txt
- > File test.txt added to patch test
+ > File test.txt added to patch test.diff
$ cat >> test.txt
< Line two.
$ quilt refresh
- > Refreshed patch test
+ > Refreshed patch test.diff
$ sleep 2
$ sed -e "s/ /_/g" patches/test.diff > patches/test.new
$ mv patches/test.new patches/test.diff
$ quilt pop
- > Patch test does not remove cleanly (enforce with -f).
+ > Patch test.diff does not remove cleanly (enforce with -f).
$ cd ..
$ rm -rf d
diff --git a/test/fold.test b/test/fold.test
index ec0a256..0695909 100644
--- a/test/fold.test
+++ b/test/fold.test
@@ -27,18 +27,14 @@
< +This is file3.txt.
$ quilt push -q
- > Applying patch1
- > Now at patch patch1
+ > Applying patch1.diff
+ > Now at patch patch1.diff
$ quilt files
> file1.txt
> file2.txt
$ quilt fold -q < patches/patch2.diff
- $ quilt files
- > dir/file3.txt
- > file1.txt
-
$ quilt diff | sed -e "s/\\t.*//"
> Index: d/dir/file3.txt
> ===================================================================
diff --git a/test/merge.test b/test/merge.test
index af85b4a..27dcd34 100644
--- a/test/merge.test
+++ b/test/merge.test
@@ -36,10 +36,10 @@ Test the patch merging functionality of `quilt diff'.
< +c+
$ quilt push -qa
- > Applying a
- > Applying b
- > Applying c
- > Now at patch c
+ > Applying a.diff
+ > Applying b.diff
+ > Applying c.diff
+ > Now at patch c.diff
$ quilt diff -P b.diff | grep -v "^\\(---\\|+++\\)"
> Index: d/abc.txt
@@ -49,7 +49,7 @@ Test the patch merging functionality of `quilt diff'.
> -b
> +b+
> c
- > More recent patches modify files in b.
+ > More recent patches modify files in b.diff.
$ quilt diff -c a.diff -P b.diff | grep -v "^\\(---\\|+++\\)"
> Index: d/abc.txt
@@ -60,7 +60,7 @@ Test the patch merging functionality of `quilt diff'.
> +a+
> +b+
> c
- > More recent patches modify files in b.
+ > More recent patches modify files in b.diff.
$ quilt diff -c b.diff | grep -v "^\\(---\\|+++\\)"
> Index: d/abc.txt
diff --git a/test/one.test b/test/one.test
index 4e7819a..ce29235 100644
--- a/test/one.test
+++ b/test/one.test
@@ -10,18 +10,18 @@ of the installed quilt with `make check'.
$ mkdir dir
$ echo "This is file one." > dir/file1
$ quilt new patch1.diff
- > Patch patch1 is now on top
+ > Patch patch1.diff is now on top
$ quilt add dir/file1
- > File dir/file1 added to patch patch1
+ > File dir/file1 added to patch patch1.diff
$ quilt add file2
- > File file2 added to patch patch1
+ > File file2 added to patch patch1.diff
$ quilt diff
$ quilt diff -z
$ quilt refresh
- > Nothing in patch patch1
+ > Nothing in patch patch1.diff
$ echo "This is file two." > file2
$ quilt diff | sed -e "s/\\t.*//"
@@ -41,7 +41,7 @@ of the installed quilt with `make check'.
> +This is file two.
$ quilt refresh
- > Refreshed patch patch1
+ > Refreshed patch patch1.diff
$ quilt diff -z
$ echo "Another line has been added." >> dir/file1
@@ -64,45 +64,45 @@ of the installed quilt with `make check'.
> +Another line has been added.
$ quilt refresh
- > Refreshed patch patch1
+ > Refreshed patch patch1.diff
$ quilt new patch2.diff
- > Patch patch2 is now on top
+ > Patch patch2.diff is now on top
$ quilt add dir/file3
- > File dir/file3 added to patch patch2
+ > File dir/file3 added to patch patch2.diff
$ echo "This is file three." > dir/file3
$ quilt refresh
- > Refreshed patch patch2
+ > Refreshed patch patch2.diff
$ quilt add -p patch1 dir/file3
- > File dir/file3 modified by patch patch2
+ > File dir/file3 modified by patch patch2.diff
$ quilt pop -R
- > Removing patch2
+ > Removing patch2.diff
> Removing dir/file3
>
- > Now at patch patch1
+ > Now at patch patch1.diff
$ quilt add file4
- > File file4 added to patch patch1
+ > File file4 added to patch patch1.diff
$ echo "This is file 4." > file4
$ quilt refresh
- > Refreshed patch patch1
+ > Refreshed patch patch1.diff
$ quilt push
- > Applying patch2
+ > Applying patch2.diff
> patching file dir/file3
>
- > Now at patch patch2
+ > Now at patch patch2.diff
$ quilt new subdir/patch3.diff
- > Patch subdir/patch3 is now on top
+ > Patch subdir/patch3.diff is now on top
$ quilt add file4
- > File file4 added to patch subdir/patch3
+ > File file4 added to patch subdir/patch3.diff
$ rm file4
$ quilt diff | sed -e "s/\\t.*//"
@@ -114,14 +114,14 @@ of the installed quilt with `make check'.
> -This is file 4.
$ quilt add -p patch2 file4
- > File file4 modified by patch subdir/patch3
+ > File file4 modified by patch subdir/patch3.diff
$ quilt refresh
- > Refreshed patch subdir/patch3
+ > Refreshed patch subdir/patch3.diff
$ echo "Another line here, too." >> dir/file3
$ quilt refresh patch2
- > Refreshed patch patch2
+ > Refreshed patch patch2.diff
$ echo "Another line added." >> file2
$ quilt diff -z -P patch1 | sed -e "s/\\t.*//"
@@ -132,27 +132,27 @@ of the installed quilt with `make check'.
> @@ -1 +1,2 @@
> This is file two.
> +Another line added.
- > More recent patches modify files in patch1.
+ > More recent patches modify files in patch1.diff.
$ quilt refresh patch1
- > More recent patches modify files in patch1. Enforce refresh with -f.
+ > More recent patches modify files in patch1.diff. Enforce refresh with -f.
$ quilt refresh -f patch1
- > Refreshed patch patch1
+ > Refreshed patch patch1.diff
$ echo "Another line here, too." >> dir/file3
$ quilt pop -R
- > Removing subdir/patch3
+ > Removing subdir/patch3.diff
> Restoring file4
>
- > Now at patch patch2
+ > Now at patch patch2.diff
$ quilt refresh patch2
- > Refreshed patch patch2
+ > Refreshed patch patch2.diff
$ quilt pop -qaR
- > Removing patch2
- > Removing patch1
+ > Removing patch2.diff
+ > Removing patch1.diff
> No patches applied
$ cd ..
diff --git a/test/reorder.test b/test/reorder.test
index 7acdf45..154e2e9 100644
--- a/test/reorder.test
+++ b/test/reorder.test
@@ -20,11 +20,11 @@ Regression test: Quilt did reorder files in patches.
$ cat > patches/series
< test.diff -p0
$ quilt push -q
- > Applying test
- > Now at patch test
+ > Applying test.diff
+ > Now at patch test.diff
$ quilt pop -q
- > Removing test
+ > Removing test.diff
> No patches applied
$ echo one > h
@@ -37,8 +37,8 @@ Regression test: Quilt did reorder files in patches.
< +two
$ quilt push -q
- > Applying test
- > Now at patch test
+ > Applying test.diff
+ > Now at patch test.diff
$ quilt files
> g
diff --git a/test/snapshot.test b/test/snapshot.test
index 8ae8d29..1c0abf6 100644
--- a/test/snapshot.test
+++ b/test/snapshot.test
@@ -21,7 +21,7 @@
> No patches applied
$ quilt fork
- > Fork of patches/snapshot created as patches/snapshot-2
+ > Fork of snapshot created as snapshot-2
$ quilt push -q
> Applying snapshot-2
diff --git a/test/snapshot2.test b/test/snapshot2.test
index 89daa32..e8aa8a8 100644
--- a/test/snapshot2.test
+++ b/test/snapshot2.test
@@ -21,7 +21,7 @@
> No patches applied
$ quilt fork
- > Fork of patches/snapshot created as patches/snapshot-2
+ > Fork of snapshot created as snapshot-2
$ quilt push -q
> Applying snapshot-2
diff --git a/test/subdir.test b/test/subdir.test
index 2763b8f..5e6bbda 100644
--- a/test/subdir.test
+++ b/test/subdir.test
@@ -5,11 +5,11 @@
$ cat > subdir/file
< old file
- $ quilt new test
- > Patch test is now on top
+ $ quilt new test.patch
+ > Patch test.patch is now on top
$ quilt add subdir/file
- > File subdir/file added to patch test
+ > File subdir/file added to patch test.patch
$ cat > subdir/file
< new contents
@@ -17,11 +17,11 @@
This creates the patches/ directory:
$ quilt refresh
- > Refreshed patch test
+ > Refreshed patch test.patch
$ cd subdir
$ quilt add file2
- > File subdir/file2 added to patch test
+ > File subdir/file2 added to patch test.patch
$ cat > file2
< another file
@@ -30,7 +30,7 @@
< yet another file
$ quilt add file3
- > File subdir/file3 added to patch test
+ > File subdir/file3 added to patch test.patch
$ rm file3
$ quilt files
@@ -60,10 +60,10 @@
> -yet another file
$ quilt refresh
- > Refreshed patch test
+ > Refreshed patch test.patch
$ quilt remove file2
- > File subdir/file2 removed from patch test
+ > File subdir/file2 removed from patch test.patch
$ quilt files
> subdir/file
diff --git a/test/two.test b/test/two.test
index 4d48467..e365afe 100644
--- a/test/two.test
+++ b/test/two.test
@@ -5,18 +5,18 @@
$ mkdir dir
$ echo "This is file one." > dir/file1
$ quilt new patch1.diff
- > Patch patch1 is now on top
+ > Patch patch1.diff is now on top
$ quilt add dir/file1
- > File d/dir/file1 added to patch patch1
+ > File d/dir/file1 added to patch patch1.diff
$ quilt add file2
- > File d/file2 added to patch patch1
+ > File d/file2 added to patch patch1.diff
$ quilt diff
$ quilt diff -z
$ quilt refresh
- > Nothing in patch patch1
+ > Nothing in patch patch1.diff
$ echo "This is file two." > file2
$ quilt diff | sed -e "s/\\t.*//"
@@ -36,7 +36,7 @@
> +This is file two.
$ quilt refresh
- > Refreshed patch patch1
+ > Refreshed patch patch1.diff
$ quilt diff -z
$ echo "Another line has been added." >> dir/file1
@@ -50,7 +50,7 @@
> +Another line has been added.
$ cd dir
- $ quilt diff -z file1
+ $ quilt diff -z file1 | sed -e "s/\\t.*//"
> Index: d/d/dir/file1
> ===================================================================
> --- d.orig/d/dir/file1
@@ -62,45 +62,45 @@
$ cd ..
$ quilt refresh
- > Refreshed patch patch1
+ > Refreshed patch patch1.diff
$ quilt new patch2.diff
- > Patch patch2 is now on top
+ > Patch patch2.diff is now on top
$ quilt add dir/file3
- > File d/dir/file3 added to patch patch2
+ > File d/dir/file3 added to patch patch2.diff
$ echo "This is file three." > dir/file3
$ quilt refresh
- > Refreshed patch patch2
+ > Refreshed patch patch2.diff
$ quilt add -p patch1 dir/file3
- > File d/dir/file3 modified by patch patch2
+ > File d/dir/file3 modified by patch patch2.diff
$ quilt pop -R
- > Removing patch2
+ > Removing patch2.diff
> Removing d/dir/file3
>
- > Now at patch patch1
+ > Now at patch patch1.diff
$ quilt add file4
- > File d/file4 added to patch patch1
+ > File d/file4 added to patch patch1.diff
$ echo "This is file 4." > file4
$ quilt refresh
- > Refreshed patch patch1
+ > Refreshed patch patch1.diff
$ quilt push
- > Applying patch2
+ > Applying patch2.diff
> patching file d/dir/file3
>
- > Now at patch patch2
+ > Now at patch patch2.diff
$ quilt new subdir/patch3.diff
- > Patch subdir/patch3 is now on top
+ > Patch subdir/patch3.diff is now on top
$ quilt add file4
- > File d/file4 added to patch subdir/patch3
+ > File d/file4 added to patch subdir/patch3.diff
$ rm file4
$ quilt diff | sed -e "s/\\t.*//"
@@ -112,14 +112,14 @@
> -This is file 4.
$ quilt add -p patch2 file4
- > File d/file4 modified by patch subdir/patch3
+ > File d/file4 modified by patch subdir/patch3.diff
$ quilt refresh
- > Refreshed patch subdir/patch3
+ > Refreshed patch subdir/patch3.diff
$ echo "Another line here, too." >> dir/file3
$ quilt refresh patch2
- > Refreshed patch patch2
+ > Refreshed patch patch2.diff
$ echo "Another line added." >> file2
$ quilt diff -z -P patch1 | sed -e "s/\\t.*//"
@@ -130,27 +130,27 @@
> @@ -1 +1,2 @@
> This is file two.
> +Another line added.
- > More recent patches modify files in patch1.
+ > More recent patches modify files in patch1.diff.
$ quilt refresh patch1
- > More recent patches modify files in patch1. Enforce refresh with -f.
+ > More recent patches modify files in patch1.diff. Enforce refresh with -f.
$ quilt refresh -f patch1
- > Refreshed patch patch1
+ > Refreshed patch patch1.diff
$ echo "Another line here, too." >> dir/file3
$ quilt pop -R
- > Removing subdir/patch3
+ > Removing subdir/patch3.diff
> Restoring d/file4
>
- > Now at patch patch2
+ > Now at patch patch2.diff
$ quilt refresh patch2
- > Refreshed patch patch2
+ > Refreshed patch patch2.diff
$ quilt pop -qaR
- > Removing patch2
- > Removing patch1
+ > Removing patch2.diff
+ > Removing patch1.diff
> No patches applied
$ cd ../..